Module javafx.graphics
Package javafx.scene.shape

# Class VLineTo

java.lang.Object
javafx.scene.shape.PathElement
javafx.scene.shape.VLineTo

    public class VLineTo
    extends PathElement

Creates a vertical line path element from the current point to y.

For more information on path elements see the `Path` and `PathElement` classes.

Example:

    import javafx.scene.shape.*;

    Path path = new Path();
    path.getElements().add(new MoveTo(50.0f, 0.0f));
    path.getElements().add(new VLineTo(50.0f));

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `DoubleProperty` | `y` | Defines the Y coordinate.

  ### Properties inherited from class javafx.scene.shape.PathElement

  `absolute`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VLineTo()` | Creates an empty instance of VLineTo.
  `VLineTo​(double y)` | Creates an instance of VLineTo.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `double` | `getY()` | Gets the value of the property y.
  `void` | `setY​(double value)` | Sets the value of the property y.
  `String` | `toString()` | Returns a string representation of this `VLineTo` object.
  `DoubleProperty` | `yProperty()` | Defines the Y coordinate.

  ### Methods inherited from class javafx.scene.shape.PathElement

  `absoluteProperty, isAbsolute, setAbsolute`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Property Details

  - ### y

    public final DoubleProperty yProperty
    Defines the Y coordinate.
    Default value:
      0.0
    See Also:
      `getY()`, `setY(double)`

- ## Constructor Details

  - ### VLineTo

    public VLineTo()
    Creates an empty instance of VLineTo.

  - ### VLineTo

    public VLineTo​(double y)
    Creates an instance of VLineTo.
    Parameters:
      `y` - the vertical coordinate to line to

- ## Method Details

  - ### setY

    public final void setY​(double value)
    Sets the value of the property y.
    Property description:
      Defines the Y coordinate.
    Default value:
      0.0

  - ### getY

    public final double getY()
    Gets the value of the property y.
    Property description:
      Defines the Y coordinate.
    Default value:
      0.0

  - ### yProperty

    public final DoubleProperty yProperty()
    Defines the Y coordinate.
    Default value:
      0.0
    See Also:
      `getY()`, `setY(double)`

  - ### toString

    public String toString()
    Returns a string representation of this `VLineTo` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `VLineTo` object.